Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic
Class Schematic.EditorImpl

    java.lang.Object
      org.infinispan.schematic.internal.document.DocumentEditor
          org.infinispan.schematic.internal.document.ObservableDocumentEditor
              org.infinispan.schematic.Schematic.EditorImpl

All Implemented Interfaces:
  Serializable, Document, EditableDocument, Editor

Enclosing class:
  Schematic

    protected static class Schematic.EditorImpl

extends ObservableDocumentEditor
implements Editor

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Editor
`Editor.Observer`

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Document
`Document.Field, Document.ValueTransformer`

Field Summary

Fields inherited from class org.infinispan.schematic.internal.document.DocumentEditor
`factory`

Constructor Summary
`Schematic.EditorImpl(MutableDocument document, DocumentObserver observer, List<Operation> operations)`

Method Summary
`void` | `apply(Changes changes)` After making changes to another document, apply the same changes to this document.
`void` | `apply(Changes changes, Editor.Observer observer)` After making changes to another document, apply the same changes to this document.
`Changes` | `getChanges()` Get the changes that have been made to this document.

Methods inherited from class org.infinispan.schematic.internal.document.ObservableDocumentEditor
`copy, createEditableArray, createEditableDocument, doSetValue, doSetValueIfAbsent, remove, removeAll`

Methods inherited from class org.infinispan.schematic.internal.document.DocumentEditor
`asMutableDocument, clone, containsAll, containsField, editable, editable, fields, get, getArray, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDocument, getDouble, getDouble, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getOrCreateArray, getOrCreateDocument, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, isEmpty, isNull, isNullOrMissing, keySet, put, putAll, putAll, set, setArray, setArray, setArray, setBinary, setBoolean, setCode, setCode, setDate, setDate, setDocument, setDocument, setNull, setNumber, setNumber, setNumber, setNumber, setObjectId, setObjectId, setObjectId, setRegularExpression, setRegularExpression, setString, setSymbol, setTimestamp, setUuid, size, toMap, toString, unwrap, unwrap, unwrap, unwrap, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.infinispan.schematic.document.EditableDocument
`getArray, getDocument, getOrCreateArray, getOrCreateDocument, putAll, putAll, remove, removeAll, set, setArray, setArray, setArray, setBinary, setBoolean, setCode, setCode, setDate, setDate, setDocument, setDocument, setNull, setNumber, setNumber, setNumber, setNumber, setObjectId, setObjectId, setObjectId, setRegularExpression, setRegularExpression, setString, setSymbol, setTimestamp, setUuid, unwrap`

Methods inherited from interface org.infinispan.schematic.document.Document
`clone, containsAll, containsField, fields, get, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDouble, getDouble, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, isEmpty, isNull, isNullOrMissing, keySet, size, toMap, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

Constructor Detail

### Schematic.EditorImpl

    public Schematic.EditorImpl(MutableDocument document,
                                DocumentObserver observer,
                                List<Operation> operations)

Method Detail

### getChanges

    public Changes getChanges()

  Description copied from interface: `Editor`
  Get the changes that have been made to this document.

  Specified by:
    `getChanges` in interface `Editor`
  Returns:
    the changes; never null

### apply

    public void apply(Changes changes)

  Description copied from interface: `Editor`
  After making changes to another document, apply the same changes to this document. This allows a set of changes to be made, serialized, and applied to a different document (that often represents a different instance of the same document).

  Specified by:
    `apply` in interface `Editor`
  Parameters:
    `changes` - the changes that are to be applied to this document; may not be null
  See Also:
    `Editor.apply(Changes, Observer)`

### apply

    public void apply(Changes changes,
                      Editor.Observer observer)

  Description copied from interface: `Editor`
  After making changes to another document, apply the same changes to this document. This allows a set of changes to be made, serialized, and applied to a different document (that often represents a different instance of the same document).

  Specified by:
    `apply` in interface `Editor`
  Parameters:
    `changes` - the changes that are to be applied to this document; may not be null
    `observer` - an observer that will be called as changes are undone; may be null
  See Also:
    `Editor.apply(Changes)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.